cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/scim/v2/ResourceTypes?attributes=SOME_STRING_VALUE&excludedAttributes=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"Resources": [
{
"description": "<string>",
"endpoint": "<string>",
"id": "<string>",
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": "<string>",
"schema": "<string>",
"schemas": [
"<string>"
]
}
],
"itemsPerPage": 123,
"schemas": [
"<string>"
],
"startIndex": 123,
"totalResults": 123
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint may be used by any member of the organization.
GET
/
api
/
scim
/
v2
/
ResourceTypes
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/scim/v2/ResourceTypes?attributes=SOME_STRING_VALUE&excludedAttributes=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"Resources": [
{
"description": "<string>",
"endpoint": "<string>",
"id": "<string>",
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": "<string>",
"schema": "<string>",
"schemas": [
"<string>"
]
}
],
"itemsPerPage": 123,
"schemas": [
"<string>"
],
"startIndex": 123,
"totalResults": 123
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

